#include <stdio.h>

char *buf;

_main(argc,argv)
int argc;
char *argv[];
{

    int i, j;

    buf = (char *)0x7e00;

    for (i=0; i < 512/16; ++i)
    {
	printf("%4x  ",16*i);
	for (j=0; j < 16; ++j)
	{
	    if (( buf[16*i+j]&0x00ff) < 16)
	        printf("0%1x ",buf[16*i + j] & 0x00ff);
	    else
	        printf("%2x ",buf[16*i + j] & 0x00ff);
	}
	printf("\n");
    }  
    
    exit(0);
}

